CREATE SCHEMA Lichtsignalanlage

-- Historie:
--
-- 17.12.2000 - 1.001 (1.002)
-- Verlegung oertlichen_Zuordnung in das Straennetz
--
-- 15.10.1999 - 1.000 (1.000)
-- Erste Version des OKSTRA verabschiedet

CREATE TABLE Lichtsignalanlage (
   Lichtsignalanlage_ID
      INTEGER NOT NULL PRIMARY KEY,
   hat_oertliche_Zuordnung
      INTEGER NOT NULL REFERENCES oertliche_Zuordnung_LS
)

CREATE TABLE Lichtsiganl__hat_Rotlueberw (
   Lichtsignalanlage
      INTEGER NOT NULL REFERENCES Lichtsignalanlage,
   Rotlichtueberwachung
      INTEGER NOT NULL REFERENCES Rotlichtueberwachung
)

CREATE TABLE Lichtsiganl__hat_Ang_z_Knotpkt (
   Lichtsignalanlage
      INTEGER NOT NULL REFERENCES Lichtsignalanlage,
   Angaben_zum_Knotenpunkt_LSA
      INTEGER NOT NULL REFERENCES Angaben_zum_Knotenpunkt_LSA
)

CREATE TABLE Lsiganl__hat_Grundl_u_Inbn_Dat (
   Lichtsignalanlage
      INTEGER NOT NULL REFERENCES Lichtsignalanlage,
   Grundlage_und_Inbetriebn_daten
      INTEGER NOT NULL REFERENCES Grundlage_und_Inbetriebn_daten
)

CREATE TABLE Lichtsiganl__hat_Ang_z_Verkdat (
   Lichtsignalanlage
      INTEGER NOT NULL REFERENCES Lichtsignalanlage,
   Angaben_zu_Verkehrsdaten
      INTEGER NOT NULL REFERENCES Angaben_zu_Verkehrsdaten
)

CREATE TABLE Lichtsiganl__hat_Softwarekomp (
   Lichtsignalanlage
      INTEGER NOT NULL REFERENCES Lichtsignalanlage,
   Softwarekomponenten
      INTEGER NOT NULL REFERENCES Softwarekomponenten
)

CREATE TABLE Lichtsiganl__hat_Hardwarekomp (
   Lichtsignalanlage
      INTEGER NOT NULL REFERENCES Lichtsignalanlage,
   Hardwarekomponenten
      INTEGER NOT NULL REFERENCES Hardwarekomponenten
)

CREATE TABLE Lichtsiganl__hat_ueberg_Zentr (
   Lichtsignalanlage
      INTEGER NOT NULL REFERENCES Lichtsignalanlage,
   uebergeordnete_Zentrale
      INTEGER NOT NULL REFERENCES uebergeordnete_Zentrale
)

CREATE TABLE Rotlichtueberwachung (
   Rotlichtueberwachung_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Rotlichtueberwachung_ID) REFERENCES Historisierung.historisches_Objekt,
   gueltig_von
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_von LIKE '__.__.____' ),
   gueltig_bis
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_bis LIKE '__.__.____' ),
   Ueberwachung
      INTEGER NOT NULL REFERENCES Logical_Types.Boolean,
   Fahrtrichtung
      VARCHAR(50)
)

CREATE TABLE Angaben_zum_Knotenpunkt_LSA (
   Angaben_zum_Knotenpunkt_LSA_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Angaben_zum_Knotenpunkt_LSA_ID) REFERENCES Historisierung.historisches_Objekt,
   gueltig_von
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_von LIKE '__.__.____' ),
   gueltig_bis
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_bis LIKE '__.__.____' ),
   Name
      VARCHAR(50) NOT NULL,
   Zahl_der_Knotenarme
      INTEGER, -- Anzahl
   CHECK ( Zahl_der_Knotenarme>=0 ),
   Hauptrichtung
      VARCHAR(50) NOT NULL
)

CREATE TABLE Ang_z_Knotpkt_LSA__Markpfeile (
   Angaben_zum_Knotenpunkt_LSA
      INTEGER NOT NULL REFERENCES Angaben_zum_Knotenpunkt_LSA,
   Markierungspfeile
      INTEGER NOT NULL REFERENCES Markierungspfeile
)

CREATE TABLE Markierungspfeile (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Markierungspfeile VALUES (1,'Rechtabbiegepfeil')
INSERT INTO Markierungspfeile VALUES (2,'Linksabbiegepfeil')
INSERT INTO Markierungspfeile VALUES (3,'Geradeauspfeil')
INSERT INTO Markierungspfeile VALUES (4,'Geradeaus und Links')
INSERT INTO Markierungspfeile VALUES (5,'Geradeaus und Rechts')

CREATE TABLE Grundlage_und_Inbetriebn_daten (
   Grundlage_und_Inbetriebn_daten_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Grundlage_und_Inbetriebn_daten_ID) REFERENCES Historisierung.historisches_Objekt,
   gueltig_von
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_von LIKE '__.__.____' ),
   gueltig_bis
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_bis LIKE '__.__.____' ),
   Einsatzzeiten
      INTEGER NOT NULL REFERENCES Einsatzzeiten,
   Nummer
      INTEGER NOT NULL,
   Baulasttraeger
      VARCHAR(50) NOT NULL,
   Stoerungsstelle
      VARCHAR(50),
   Datum_Installation
      CHAR(10) NOT NULL, -- Datum
   CHECK ( Datum_Installation LIKE '__.__.____' ),
   Wartungszyklus
      VARCHAR(99) NOT NULL,
   Datum_Zwischenzeitmatrix
      CHAR(10), -- Datum
   CHECK ( Datum_Zwischenzeitmatrix LIKE '__.__.____' ),
   Datum_VZ_Plan
      CHAR(10), -- Datum
   CHECK ( Datum_VZ_Plan LIKE '__.__.____' ),
   Datum_Signalprogramme
      CHAR(10), -- Datum
   CHECK ( Datum_Signalprogramme LIKE '__.__.____' )
)

CREATE TABLE Grndl_u_Inbn_dat__Nr_Nachb_LSA (
   Grundlage_und_Inbetriebn_daten
      INTEGER NOT NULL REFERENCES Grundlage_und_Inbetriebn_daten,
   Nummer_Nachbar_LSA
      INTEGER NOT NULL
)

CREATE TABLE Einsatzzeiten (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Einsatzzeiten VALUES (1,'24-Stunden-Anzeige')
INSERT INTO Einsatzzeiten VALUES (2,'Nachtabschaltung')

CREATE TABLE Angaben_zu_Verkehrsdaten (
   Angaben_zu_Verkehrsdaten_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Angaben_zu_Verkehrsdaten_ID) REFERENCES Historisierung.historisches_Objekt,
   gueltig_von
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_von LIKE '__.__.____' ),
   gueltig_bis
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_bis LIKE '__.__.____' ),
   Datum_VZ
      CHAR(10) NOT NULL, -- Datum
   CHECK ( Datum_VZ LIKE '__.__.____' ),
   OePNV_Frequenzen
      VARCHAR(99),
   Fussgaengerzaehlung
      VARCHAR(99)
)

CREATE TABLE Ang_z_Verkdat__Verkehrsstroeme (
   Angaben_zu_Verkehrsdaten
      INTEGER NOT NULL REFERENCES Angaben_zu_Verkehrsdaten,
   Verkehrsstroeme
      VARCHAR(99) NOT NULL
)

CREATE TABLE Softwarekomponenten (
   Softwarekomponenten_ID
      INTEGER NOT NULL PRIMARY KEY,
   Hersteller
      VARCHAR(50)
)

CREATE TABLE Softwkomp__hat_Signprogrparam (
   Softwarekomponenten
      INTEGER NOT NULL REFERENCES Softwarekomponenten,
   Signalprogrammparameter
      INTEGER NOT NULL REFERENCES Signalprogrammparameter
)

CREATE TABLE Softwkomp__hat_hinterl_Progr (
   Softwarekomponenten
      INTEGER NOT NULL REFERENCES Softwarekomponenten,
   hinterlegte_Programme
      INTEGER NOT NULL REFERENCES hinterlegte_Programme
)

CREATE TABLE Signalprogrammparameter (
   Signalprogrammparameter_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Signalprogrammparameter_ID) REFERENCES Historisierung.historisches_Objekt,
   gueltig_von
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_von LIKE '__.__.____' ),
   gueltig_bis
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_bis LIKE '__.__.____' ),
   Zwischenzeit
      VARCHAR(99) NOT NULL,
   maximale_Freigabezeit
      VARCHAR(99),
   Umlaufzeit
      VARCHAR(99) NOT NULL,
   maximale_Wartezeit
      VARCHAR(99),
   Zeitluecke_Belegung
      VARCHAR(99),
   Berechnungsverfahren
      VARCHAR(99),
   Mindestfreigabezeit
      VARCHAR(99),
   Versatzzeit
      VARCHAR(99),
   Radfahrerberuecksichtigung
      INTEGER REFERENCES Logical_Types.Boolean,
   OePNV_Beruecksichtigung
      INTEGER REFERENCES Logical_Types.Boolean
)

CREATE TABLE hinterlegte_Programme (
   hinterlegte_Programme_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (hinterlegte_Programme_ID) REFERENCES Historisierung.historisches_Objekt,
   gueltig_von
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_von LIKE '__.__.____' ),
   gueltig_bis
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_bis LIKE '__.__.____' ),
   Steuerungsverfahren
      VARCHAR(50),
   Anzahl
      INTEGER NOT NULL, -- Anzahl
   CHECK ( Anzahl>=0 ),
   Auswahlverfahren
      INTEGER NOT NULL REFERENCES Auswahlverfahren,
   Art_der_Programme
      VARCHAR(50),
   OePNV_Berechtigung
      INTEGER NOT NULL REFERENCES OePNV_Berechtigung,
   Darstellung
      VARCHAR(50)
)

CREATE TABLE Auswahlverfahren (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Auswahlverfahren VALUES (1,'zeitplanabhngiges Verfahren')
INSERT INTO Auswahlverfahren VALUES (2,'verkehrsabhngiges Verfahren')

CREATE TABLE OePNV_Berechtigung (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO OePNV_Berechtigung VALUES (0,'ohne')
INSERT INTO OePNV_Berechtigung VALUES (1,'bedingt')
INSERT INTO OePNV_Berechtigung VALUES (2,'weitgehend')

CREATE TABLE Hardwarekomponenten (
   Hardwarekomponenten_ID
      INTEGER NOT NULL PRIMARY KEY,
   Hersteller
      VARCHAR(50) NOT NULL,
   Signalgruppen
      VARCHAR(99)
)

CREATE TABLE Hardwkomp__hat_ak_o_takt_Signg (
   Hardwarekomponenten
      INTEGER NOT NULL REFERENCES Hardwarekomponenten,
   akust_oder_taktile_Signalgeber
      INTEGER NOT NULL REFERENCES akust_oder_taktile_Signalgeber
)

CREATE TABLE Hardwkomp__hat_Ang_z_Steuerger (
   Hardwarekomponenten
      INTEGER NOT NULL REFERENCES Hardwarekomponenten,
   Angaben_zum_Steuergeraet
      INTEGER NOT NULL REFERENCES Angaben_zum_Steuergeraet
)

CREATE TABLE Hardwkomp__hat_Ang_z_Verkabelg (
   Hardwarekomponenten
      INTEGER NOT NULL REFERENCES Hardwarekomponenten,
   Angaben_zur_Verkabelung
      INTEGER NOT NULL REFERENCES Angaben_zur_Verkabelung
)

CREATE TABLE Hardwkomp__hat_Ang_z_Aufstvorr (
   Hardwarekomponenten
      INTEGER NOT NULL REFERENCES Hardwarekomponenten,
   Angaben_z_Aufstellvorrichtung
      INTEGER NOT NULL REFERENCES Angaben_z_Aufstellvorrichtung
)

CREATE TABLE Hardwkomp__hat_opt_Signalgeber (
   Hardwarekomponenten
      INTEGER NOT NULL REFERENCES Hardwarekomponenten,
   optische_Signalgeber
      INTEGER NOT NULL REFERENCES optische_Signalgeber
)

CREATE TABLE Hardwkomp__hat_Erfasseinr_IV (
   Hardwarekomponenten
      INTEGER NOT NULL REFERENCES Hardwarekomponenten,
   Erfassungseinrichtungen_IV
      INTEGER NOT NULL REFERENCES Erfassungseinrichtungen_IV
)

CREATE TABLE Hardwkomp__hat_Erfasseinr_OeV (
   Hardwarekomponenten
      INTEGER NOT NULL REFERENCES Hardwarekomponenten,
   Erfassungseinrichtungen_OeV
      INTEGER NOT NULL REFERENCES Erfassungseinrichtungen_OeV
)

CREATE TABLE akust_oder_taktile_Signalgeber (
   akust_oder_taktile_Signalgeber_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (akust_oder_taktile_Signalgeber_ID) REFERENCES Historisierung.historisches_Objekt,
   gueltig_von
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_von LIKE '__.__.____' ),
   gueltig_bis
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_bis LIKE '__.__.____' ),
   Anzahl_1
      INTEGER NOT NULL, -- Anzahl
   CHECK ( Anzahl_1>=0 ),
   Anzahl_2
      INTEGER NOT NULL, -- Anzahl
   CHECK ( Anzahl_2>=0 ),
   Position_1
      INTEGER NOT NULL REFERENCES Position_SG,
   Position_2
      INTEGER NOT NULL REFERENCES Position_SG
)

CREATE TABLE Position_SG (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Position_SG VALUES (1,'seitlich')
INSERT INTO Position_SG VALUES (2,'berkopf')
INSERT INTO Position_SG VALUES (3,'beide Varianten')

CREATE TABLE Angaben_zum_Steuergeraet (
   Angaben_zum_Steuergeraet_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Angaben_zum_Steuergeraet_ID) REFERENCES Historisierung.historisches_Objekt,
   gueltig_von
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_von LIKE '__.__.____' ),
   gueltig_bis
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_bis LIKE '__.__.____' ),
   Geraetebezeichnung
      VARCHAR(50) NOT NULL,
   max_Programmzahl
      INTEGER NOT NULL, -- Anzahl
   CHECK ( max_Programmzahl>=0 ),
   max_SG_Anzahl_Kfz
      INTEGER NOT NULL, -- Anzahl
   CHECK ( max_SG_Anzahl_Kfz>=0 ),
   max_SG_Anzahl_Fussgaenger
      INTEGER NOT NULL, -- Anzahl
   CHECK ( max_SG_Anzahl_Fussgaenger>=0 ),
   max_SG_Anzahl_OeV
      INTEGER NOT NULL, -- Anzahl
   CHECK ( max_SG_Anzahl_OeV>=0 ),
   max_SG_Anzahl_Zusatzsignalgeb
      INTEGER NOT NULL, -- Anzahl
   CHECK ( max_SG_Anzahl_Zusatzsignalgeb>=0 ),
   max_Anzahl_Kanaele
      INTEGER, -- Anzahl
   CHECK ( max_Anzahl_Kanaele>=0 ),
   Programmierbarkeit
      INTEGER NOT NULL REFERENCES Logical_Types.Boolean,
   Spannungsversorgung
      VARCHAR(50),
   Anordnung
      VARCHAR(50),
   Verkehrszaehlspeicher
      VARCHAR(50),
   Schliesssystem
      VARCHAR(50),
   Handbedienteil
      INTEGER REFERENCES Logical_Types.Boolean,
   BUeSTRA
      INTEGER NOT NULL REFERENCES Logical_Types.Boolean,
   Koordinierung
      INTEGER REFERENCES Koordinierung,
   Telefonbuchse
      INTEGER REFERENCES Logical_Types.Boolean,
   Messschreiberanschluss
      INTEGER REFERENCES Logical_Types.Boolean,
   Heizung_Luefter
      INTEGER REFERENCES Logical_Types.Boolean
)

CREATE TABLE Koordinierung (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Koordinierung VALUES (0,'Funkuhr')
INSERT INTO Koordinierung VALUES (1,'Koordinierungskabel')

CREATE TABLE Angaben_zur_Verkabelung (
   Angaben_zur_Verkabelung_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Angaben_zur_Verkabelung_ID) REFERENCES Historisierung.historisches_Objekt,
   gueltig_von
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_von LIKE '__.__.____' ),
   gueltig_bis
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_bis LIKE '__.__.____' ),
   Rohrbelegung
      INTEGER NOT NULL REFERENCES Logical_Types.Boolean,
   Verbindung_NK
      INTEGER NOT NULL REFERENCES Verbindung_NK
)

CREATE TABLE Verbindung_NK (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Verbindung_NK VALUES (0,'keine Verbindung zum Nachbarknoten')
INSERT INTO Verbindung_NK VALUES (1,'Verbindung zum Nachbarknoten vorhanden')
INSERT INTO Verbindung_NK VALUES (2,'Verbindung zu mehreren Nachbarknoten ' ||
 'vorhanden')

CREATE TABLE Angaben_z_Aufstellvorrichtung (
   Angaben_z_Aufstellvorrichtung_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Angaben_z_Aufstellvorrichtung_ID) REFERENCES Historisierung.historisches_Objekt,
   gueltig_von
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_von LIKE '__.__.____' ),
   gueltig_bis
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_bis LIKE '__.__.____' ),
   Art
      VARCHAR(50) NOT NULL,
   Anzahl
      INTEGER NOT NULL, -- Anzahl
   CHECK ( Anzahl>=0 ),
   Ausleger_Laenge
      REAL, -- Meter
   CHECK ( Ausleger_Laenge>=0 ),
   Ausleger_Anzahl
      INTEGER, -- Anzahl
   CHECK ( Ausleger_Anzahl>=0 ),
   Gruendung
      VARCHAR(50)
)

CREATE TABLE optische_Signalgeber (
   optische_Signalgeber_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (optische_Signalgeber_ID) REFERENCES Historisierung.historisches_Objekt,
   gueltig_von
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_von LIKE '__.__.____' ),
   gueltig_bis
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_bis LIKE '__.__.____' ),
   Anzahl
      INTEGER NOT NULL, -- Anzahl
   CHECK ( Anzahl>=0 ),
   Durchmesser
      VARCHAR(50),
   Blendensymbol
      VARCHAR(99) NOT NULL,
   Position
      INTEGER NOT NULL REFERENCES Position_SG
)

CREATE TABLE Erfassungseinrichtungen_IV (
   Erfassungseinrichtungen_IV_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Erfassungseinrichtungen_IV_ID) REFERENCES Historisierung.historisches_Objekt,
   gueltig_von
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_von LIKE '__.__.____' ),
   gueltig_bis
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_bis LIKE '__.__.____' ),
   Art_der_Erfassung
      VARCHAR(99) NOT NULL,
   Anzahl_1
      INTEGER NOT NULL, -- Anzahl
   CHECK ( Anzahl_1>=0 ),
   Anzahl_2
      INTEGER, -- Anzahl
   CHECK ( Anzahl_2>=0 ),
   zu_erkennende_Fz
      VARCHAR(50),
   Funktion
      VARCHAR(99),
   Gestaltung
      VARCHAR(99)
)

CREATE TABLE Erfassungseinrichtungen_OeV (
   Erfassungseinrichtungen_OeV_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Erfassungseinrichtungen_OeV_ID) REFERENCES Historisierung.historisches_Objekt,
   gueltig_von
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_von LIKE '__.__.____' ),
   gueltig_bis
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_bis LIKE '__.__.____' ),
   Art_der_Erfassung
      VARCHAR(50) NOT NULL,
   Anzahl
      INTEGER NOT NULL, -- Anzahl
   CHECK ( Anzahl>=0 ),
   Position
      VARCHAR(50),
   Funktion
      VARCHAR(50) NOT NULL,
   Verbindung
      INTEGER NOT NULL REFERENCES Logical_Types.Boolean
)

CREATE TABLE uebergeordnete_Zentrale (
   uebergeordnete_Zentrale_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (uebergeordnete_Zentrale_ID) REFERENCES Historisierung.historisches_Objekt,
   gueltig_von
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_von LIKE '__.__.____' ),
   gueltig_bis
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_bis LIKE '__.__.____' ),
   Lage
      VARCHAR(50) NOT NULL,
   Schnittstellendef_bekannt
      INTEGER NOT NULL REFERENCES Logical_Types.Boolean,
   Typ
      INTEGER NOT NULL REFERENCES Typ_UeZ,
   Eingriffsmoeglichkeit
      INTEGER NOT NULL REFERENCES Eingriffsmoeglichkeit,
   Hersteller_des_Steuerrechners
      VARCHAR(50),
   Typ_des_Steuerrechners
      VARCHAR(50)
)

CREATE TABLE Typ_UeZ (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Typ_UeZ VALUES (1,'RBL')
INSERT INTO Typ_UeZ VALUES (2,'Verkehrsrechner')
INSERT INTO Typ_UeZ VALUES (3,'gemeinsame Leitzentrale IV/V')
INSERT INTO Typ_UeZ VALUES (4,'getrennte Leitzentralen IV/V')

CREATE TABLE Eingriffsmoeglichkeit (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Eingriffsmoeglichkeit VALUES (0,'nur Visualisierung')
INSERT INTO Eingriffsmoeglichkeit VALUES (1,'mit Steuereingriff')

CREATE TABLE oertliche_Zuordnung_LS (
   oertliche_Zuordnung_LS_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (oertliche_Zuordnung_LS_ID) REFERENCES Strassennetz.oertliche_Zuordnung
)


