CREATE SCHEMA Vermessungspunkt

-- Historie:
-- 
-- 12.09.2001 - 1.000 (1.004)
-- Schema Vermessungspunkt in den OKSTRA aufgenommen

CREATE TABLE Vermessungspunkt (
   Vermessungspunkt_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Vermessungspunkt_ID) REFERENCES Historisierung.historisches_Objekt,
   gueltig_von
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_von LIKE '__.__.____' ),
   gueltig_bis
      CHAR(10) NOT NULL, -- Datum
   CHECK ( gueltig_bis LIKE '__.__.____' ),
   Name_Lage
      VARCHAR(255),
   interne_Bemerkungen
      VARCHAR(255),
   Nutzerspezifische_Bemerkungen
      VARCHAR(255),
   letzte_oertliche_Ueberpruefung
      CHAR(10), -- Datum
   CHECK ( letzte_oertliche_Ueberpruefung LIKE '__.__.____' ),
   Befund
      VARCHAR(255),
   Hoehe_vom_Erdboden
      REAL,
   Art_der_Vermarkung
      INTEGER REFERENCES Art_der_Vermarkung,
   liegt_in_Bundesland
      INTEGER REFERENCES Administration.Verwaltungsbezirk_abstrakt
)

CREATE TABLE Vermessungspkt__hist_Unterlgn (
   Vermessungspunkt
      INTEGER NOT NULL REFERENCES Vermessungspunkt,
   historische_Unterlagen
      VARCHAR(255) NOT NULL
)

CREATE TABLE Vermessungspunkt__hat_Punktort (
   Vermessungspunkt
      INTEGER NOT NULL REFERENCES Vermessungspunkt,
   Punktort
      INTEGER NOT NULL REFERENCES Punktort
)

CREATE TABLE Vermessungspunkt__hat_Hoehe (
   Vermessungspunkt
      INTEGER NOT NULL REFERENCES Vermessungspunkt,
   Hoehe
      INTEGER NOT NULL REFERENCES Hoehe
)

CREATE TABLE Vermessungspkt__hat_weit_Punkt (
   Vermessungspunkt
      INTEGER NOT NULL REFERENCES Vermessungspunkt,
   Vermessungspunkt_2
      INTEGER NOT NULL REFERENCES Vermessungspunkt
)

CREATE TABLE Punktvermarkg__Zust_d_Vermarkg (
   Hoehe_vom_Erdboden
      REAL NOT NULL,
   Art_der_Vermarkung
      INTEGER REFERENCES Art_der_Vermarkung
   Zustand_der_Vermarkung
      VARCHAR(255) NOT NULL
)

CREATE TABLE Art_der_Vermarkung (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Art_der_Vermarkung VALUES (1000,'Hchste Stelle (Oberflche) ' ||
'der Vermarkung, Mitte (Zentrum)')
INSERT INTO Art_der_Vermarkung VALUES (2000,'TP-Platte, Oberflche, Mitte')
INSERT INTO Art_der_Vermarkung VALUES (2100,'TP-Pfeiler, Oberflche, Mitte')
INSERT INTO Art_der_Vermarkung VALUES (3000,'Niv-Pfeilerbolzen, hchste ' ||
'Stelle des Bolzens')
INSERT INTO Art_der_Vermarkung VALUES (3100,'Niv-Pfeilerbolzen, ' ||
'Pfeileroberflche')

CREATE TABLE Punktort (
   Punktort_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Punktort_ID) REFERENCES Geometrieschema.Punktobjekt_Modell,
   Liegenschaftskarte
      INTEGER REFERENCES Logical_Types.Boolean,
   Koordinatenstatus
      INTEGER NOT NULL REFERENCES Koordinatenstatus,
   Ueberpruefungsdatum
      CHAR(10), -- Datum
   CHECK ( Ueberpruefungsdatum LIKE '__.__.____' ),
   Hinweise
      VARCHAR(255),
   hat_Qualitaetsangaben
      INTEGER REFERENCES Qualitaetsangaben_Punktort
)

CREATE TABLE Koordinatenstatus (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Koordinatenstatus VALUES (1000,'amtliche Koordinaten (im amtlichen ' ||
'Koordinatensystem und derzeit gltig)')
INSERT INTO Koordinatenstatus VALUES (3000,'vorlufige Koordinaten')
INSERT INTO Koordinatenstatus VALUES (4000,'nicht amtlich eingefhrte Koordinaten')
INSERT INTO Koordinatenstatus VALUES (5000,'historische (nicht mehr amtliche) Koordinaten')
INSERT INTO Koordinatenstatus VALUES (5100,'Koordinaten, die sich als fehlerhaft ' ||
'herausgestellt haben')

CREATE TABLE Qualitaetsangaben_Punktort (
   Qualitaetsangaben_Punktort_ID
      INTEGER NOT NULL PRIMARY KEY,
   Erhebungsstelle_Pos_2D_SArt
      VARCHAR(255),
   Erhebungsstelle_Pos_2D
      VARCHAR(255),
   Erhebungsstelle_Pos_Hoehe_SArt
      VARCHAR(255),
   Erhebungsstelle_Pos_Hoehe
      VARCHAR(255),
   Erhebungsstelle_Pos_3D_SArt
      VARCHAR(255),
   Erhebungsstelle_Pos_3D
      VARCHAR(255),
   Datenerhebung_Pos_2D
      INTEGER REFERENCES Datenerhebung_Pos_2D,
   Datenerhebung_Pos_Hoehe
      INTEGER REFERENCES Datenerhebung_Pos_Hoehe,
   Datenerhebung_Pos_3D
      INTEGER REFERENCES Datenerhebung_Pos_3D,
   Berechnungsdatum_Pos_2D
      CHAR(10), -- Datum
   CHECK ( Berechnungsdatum_Pos_2D LIKE '__.__.____' ),
   Berechnungsdatum_Pos_Hoehe
      CHAR(10), -- Datum
   CHECK ( Berechnungsdatum_Pos_Hoehe LIKE '__.__.____' ),
   Berechnungsdatum_Pos_3D
      CHAR(10), -- Datum
   CHECK ( Berechnungsdatum_Pos_3D LIKE '__.__.____' ),
   Bestimmungsdatum_Pos_2D
      CHAR(10), -- Datum
   CHECK ( Bestimmungsdatum_Pos_2D LIKE '__.__.____' ),
   Bestimmungsdatum_Pos_Hoehe
      CHAR(10), -- Datum
   CHECK ( Bestimmungsdatum_Pos_Hoehe LIKE '__.__.____' ),
   Bestimmungsdatum_Pos_3D
      CHAR(10), -- Datum
   CHECK ( Bestimmungsdatum_Pos_3D LIKE '__.__.____' ),
   Genauigkeit_Pos_2D
      INTEGER REFERENCES Genauigkeit_Pos_2D,
   Genauigkeit_Pos_Hoehe
      INTEGER REFERENCES Genauigkeit_Pos_Hoehe,
   Genauigkeit_Pos_3D
      INTEGER REFERENCES Genauigkeit_Pos_3D,
   Vertrauenswuerdigk_Pos_2D
      INTEGER REFERENCES Vertrauenswuerdigk_Pos_2D,
   Vertrauenswuerdigk_Pos_Hoehe
      INTEGER REFERENCES Vertrauenswuerdigk_Pos_Hoehe,
   Vertrauenswuerdigk_Pos_3D
      INTEGER REFERENCES Vertrauenswuerdigk_Pos_3D,
   Erhebungsstelle_Pos_2D_Land
      INTEGER REFERENCES Administration.Verwaltungsbezirk_abstrakt,
   Erhebungsstelle_Pos_Hoehe_Land
      INTEGER REFERENCES Administration.Verwaltungsbezirk_abstrakt,
   Erhebungsstelle_Pos_3D_Land
      INTEGER REFERENCES Administration.Verwaltungsbezirk_abstrakt
)

CREATE TABLE Datenerhebung_Pos_2D (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Datenerhebung_Pos_2D VALUES (0100,'Aus GPS-Messung')
INSERT INTO Datenerhebung_Pos_2D VALUES (0200,'Aus trigonometrischer Messung ' ||
'im TP-Netz')
INSERT INTO Datenerhebung_Pos_2D VALUES (0210,'Aus lokaler trigonometrischer ' ||
'Messung (innerhalb einer Punktgruppe)')
INSERT INTO Datenerhebung_Pos_2D VALUES (1000,'Aus Katastervermessung ermittelt')
INSERT INTO Datenerhebung_Pos_2D VALUES (1010,'Aus Katastervermessung mit ' ||
'hchster Lagegenauigkeit (NW)')
INSERT INTO Datenerhebung_Pos_2D VALUES (1020,'Aus Katastervermessung mit ' ||
'hoher Lagegenauigkeit (NW)')
INSERT INTO Datenerhebung_Pos_2D VALUES (1030,'Aus Katastervermessung mit ' ||
'mittlerer Lagegenauigkeit (NW)')
INSERT INTO Datenerhebung_Pos_2D VALUES (1040,'Aus Katastervermessung mit ' ||
'unzureichender Lagegenauigkeit (NW)')
INSERT INTO Datenerhebung_Pos_2D VALUES (1100,'Aufgrund Anforderungen mit ' ||
'Netzanschluss ermittelt')
INSERT INTO Datenerhebung_Pos_2D VALUES (1200,'Aufgrund Anforderungen mit ' ||
'Bezug zur Flurstcksgrenze ermittelt')
INSERT INTO Datenerhebung_Pos_2D VALUES (1300,'Aufgrund Anforderungen des ' ||
'LiegVermErlasses ermittelt (NI)')
INSERT INTO Datenerhebung_Pos_2D VALUES (1400,'Aufgrund Anforderungen des ' ||
'Fortfhrungserlasses II ermittelt (NI)')
INSERT INTO Datenerhebung_Pos_2D VALUES (1500,'Aufgrund Anforderungen lterer ' ||
'Vorschriften ermittelt (NI)')
INSERT INTO Datenerhebung_Pos_2D VALUES (1600,'Auf einheitlichem und ' ||
'eindeutigem Raumbezug basierend (E-Koord.) (BW)')
INSERT INTO Datenerhebung_Pos_2D VALUES (1610,'Auf bislang einheitlichem ' ||
'Raumbezug basierend ermittelt (B-Koord.) (BW)')
INSERT INTO Datenerhebung_Pos_2D VALUES (1620,'Auf frher gltigem Raumbezug ' ||
'basierend ermittelt (T-Koord.) (BW)')
INSERT INTO Datenerhebung_Pos_2D VALUES (1700,'Aufgrund Anforderungen des ' ||
'LiegVermErlasses LSA (LSA)')
INSERT INTO Datenerhebung_Pos_2D VALUES (1710,'Aufgrund Anforderungen der ' ||
'Anleitung fr die Ausfhrung der Neuvermessungen, 1953, DDR (LSA)')
INSERT INTO Datenerhebung_Pos_2D VALUES (1720,'Aufgrund der ' ||
'Liegenschaftsvermessungsordnung 112/82, DDR (LSA)')
INSERT INTO Datenerhebung_Pos_2D VALUES (1800,'Aus Koordinatentransformation ermittelt')
INSERT INTO Datenerhebung_Pos_2D VALUES (1900,'Aus sonstiger Vermessung ermittelt')
INSERT INTO Datenerhebung_Pos_2D VALUES (2000,'Aus Luftbildmessung oder ' ||
'Fernerkundungsdaten ermittelt')
INSERT INTO Datenerhebung_Pos_2D VALUES (3000,'Aus Netzvermessung ermittelt')
INSERT INTO Datenerhebung_Pos_2D VALUES (3100,'Aufgrund Anforderungen des ' ||
'Festpunktfelderlasses ermittelt (NI,ST)')
INSERT INTO Datenerhebung_Pos_2D VALUES (3200,'Aufgrund Anforderungen des ' ||
'Polygonpunktfelderlasses ermittelt (NI)')
INSERT INTO Datenerhebung_Pos_2D VALUES (3300,'Aus Polygonierungsmessung')
INSERT INTO Datenerhebung_Pos_2D VALUES (4000,'Aus Katasterunterlagen und ' ||
'Karten fr graphische Zwecke ermittelt')
INSERT INTO Datenerhebung_Pos_2D VALUES (4100,'Aus Katasterzahlen fr ' ||
'graphische Zwecke ermittelt')
INSERT INTO Datenerhebung_Pos_2D VALUES (4200,'Aus Katasterkarten digitalisiert')
INSERT INTO Datenerhebung_Pos_2D VALUES (4210,'Kartenmastab M >= 1:1000')
INSERT INTO Datenerhebung_Pos_2D VALUES (4220,'Kartenmastab 1:1000 > M > 1:2000')
INSERT INTO Datenerhebung_Pos_2D VALUES (4230,'Kartenmastab 1:2000 > M > 1:3000')
INSERT INTO Datenerhebung_Pos_2D VALUES (4240,'Kartenmastab 1:3000 > M > 1:5000')
INSERT INTO Datenerhebung_Pos_2D VALUES (4250,'Kartenmastab 1:5000 > M')
INSERT INTO Datenerhebung_Pos_2D VALUES (4260,'Mit sonstigen geometrischen ' ||
'Bedingungen und/oder Homogenisierung (M >= 1:1000)')
INSERT INTO Datenerhebung_Pos_2D VALUES (4270,'Mit Berechnung oder Abstandsbedingung ' ||
'(M >= 1:1000)')
INSERT INTO Datenerhebung_Pos_2D VALUES (4280,'Mit sonstigen geometrischen ' ||
'Bedingungen und/oder Homogenisierung (M < 1:1000)')
INSERT INTO Datenerhebung_Pos_2D VALUES (4290,'Mit Berechnung oder ' ||
'Abstandsbedingungen (M < 1:1000)')
INSERT INTO Datenerhebung_Pos_2D VALUES (4300,'Aus sonstigen Unterlagen digitalisiert')
INSERT INTO Datenerhebung_Pos_2D VALUES (4310,'Kartenmastab M >= 1:1000')
INSERT INTO Datenerhebung_Pos_2D VALUES (4320,'Kartenmastab 1:1000 > M >= 1:2000')
INSERT INTO Datenerhebung_Pos_2D VALUES (4330,'Kartenmastab 1:2000 > M >= 1:3000')
INSERT INTO Datenerhebung_Pos_2D VALUES (4340,'Kartenmastab 1:3000 > M >= 1:5000')
INSERT INTO Datenerhebung_Pos_2D VALUES (4350,'Kartenmastab M >= 1:5000')
INSERT INTO Datenerhebung_Pos_2D VALUES (4360,'Mit sonstigen geometrischen ' ||
'Bedingungen und/oder Homogenisierung (M >= 1:1000)')
INSERT INTO Datenerhebung_Pos_2D VALUES (4370,'Mit Berechnung oder ' ||
'Abstandsbedingung (M >= 1:1000)')
INSERT INTO Datenerhebung_Pos_2D VALUES (4380,'Mit sonstigen geometrischen ' ||
'Bedingungen und/oder Homogenisierung (M < 1:1000)')
INSERT INTO Datenerhebung_Pos_2D VALUES (4390,'Mit Berechnung oder ' ||
'Abstandsbedingungen (M < 1:1000)')
INSERT INTO Datenerhebung_Pos_2D VALUES (9998,'Nach Quellenlage nicht zu spezifizieren')

CREATE TABLE Datenerhebung_Pos_Hoehe (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Datenerhebung_Pos_Hoehe VALUES (1000,'Aus Nivellement')
INSERT INTO Datenerhebung_Pos_Hoehe VALUES (2000,'Aus satellitengeodtischer Messung')
INSERT INTO Datenerhebung_Pos_Hoehe VALUES (3000,'Aus trigonometrischer Messung')
INSERT INTO Datenerhebung_Pos_Hoehe VALUES (4000,'Aus analoger Unterlage abgeleitet')

CREATE TABLE Datenerhebung_Pos_3D (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Datenerhebung_Pos_3D VALUES (1000,'Hchste Positionsgenauigkeit')
INSERT INTO Datenerhebung_Pos_3D VALUES (2000,'Hohe Positionsgenauigkeit')
INSERT INTO Datenerhebung_Pos_3D VALUES (3000,'Mittlere Positionsgenauigkeit')
INSERT INTO Datenerhebung_Pos_3D VALUES (9998,'Nach Quellenlage nicht zu spezifizieren')

CREATE TABLE Genauigkeit_Pos_2D (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Genauigkeit_Pos_2D VALUES (1200,'Standardabweichung SL <= 3 cm')
INSERT INTO Genauigkeit_Pos_2D VALUES (1210,'Standardabweichung SL <= 1 cm')
INSERT INTO Genauigkeit_Pos_2D VALUES (1220,'Standardabweichung 1 cm < SL <= 3 cm')
INSERT INTO Genauigkeit_Pos_2D VALUES (1300,'Standardabweichung 3 cm < SL <= 10 cm')
INSERT INTO Genauigkeit_Pos_2D VALUES (1310,'Standardabweichung 3 cm < SL <= 6 cm')
INSERT INTO Genauigkeit_Pos_2D VALUES (1320,'Standardabweichung 6 cm < SL <= 10 cm')
INSERT INTO Genauigkeit_Pos_2D VALUES (1400,'Standardabweichung 10 cm < SL <= 30 cm')
INSERT INTO Genauigkeit_Pos_2D VALUES (1500,'Standardabweichung 30 cm < SL <= 60 cm')
INSERT INTO Genauigkeit_Pos_2D VALUES (1700,'Standardabweichung 60 cm < SL <= 500 cm')
INSERT INTO Genauigkeit_Pos_2D VALUES (1800,'Standardabweichung SL > 500 cm')
INSERT INTO Genauigkeit_Pos_2D VALUES (9998,'Standardabweichung nicht untersucht')

CREATE TABLE Genauigkeit_Pos_Hoehe (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Genauigkeit_Pos_Hoehe VALUES (1100,'Standardabweichung SH <= 1 cm')
INSERT INTO Genauigkeit_Pos_Hoehe VALUES (1200,'Standardabweichung 1 cm < SH <= 3 cm')
INSERT INTO Genauigkeit_Pos_Hoehe VALUES (1300,'Standardabweichung 3 cm < SH <= 10 cm')
INSERT INTO Genauigkeit_Pos_Hoehe VALUES (1600,'Standardabweichung 10 cm < SH <= 100 cm')
INSERT INTO Genauigkeit_Pos_Hoehe VALUES (1900,'Standardabweichung SH > 100 cm')
INSERT INTO Genauigkeit_Pos_Hoehe VALUES (9998,'Standardabweichung nicht untersucht')

CREATE TABLE Genauigkeit_Pos_3D (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Genauigkeit_Pos_3D VALUES (1200,'Standardabweichung SP <= 3 cm')
INSERT INTO Genauigkeit_Pos_3D VALUES (1210,'Standardabweichung SP <= 1 cm')
INSERT INTO Genauigkeit_Pos_3D VALUES (1220,'Standardabweichung 1 cm < SP <= 3 cm')
INSERT INTO Genauigkeit_Pos_3D VALUES (1300,'Standardabweichung 3 cm < SP <= 10 cm')
INSERT INTO Genauigkeit_Pos_3D VALUES (1310,'Standardabweichung 3 cm < SP <= 6 cm')
INSERT INTO Genauigkeit_Pos_3D VALUES (1320,'Standardabweichung 6 cm < SP <= 10 cm')
INSERT INTO Genauigkeit_Pos_3D VALUES (1400,'Standardabweichung 10 cm < SP <= 30 cm')
INSERT INTO Genauigkeit_Pos_3D VALUES (1500,'Standardabweichung 30 cm < SP <= 60 cm')
INSERT INTO Genauigkeit_Pos_3D VALUES (1700,'Standardabweichung 60 cm < SP <= 500 cm')
INSERT INTO Genauigkeit_Pos_3D VALUES (1800,'Standardabweichung SP > 500 cm')
INSERT INTO Genauigkeit_Pos_3D VALUES (1700,'Standardabweichung nicht untersucht')

CREATE TABLE Vertrauenswuerdigk_Pos_2D (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Vertrauenswuerdigk_Pos_2D VALUES (1100,'Ausgleichung')
INSERT INTO Vertrauenswuerdigk_Pos_2D VALUES (1200,'Berechnung')
INSERT INTO Vertrauenswuerdigk_Pos_2D VALUES (1300,'Bestimmungsverfahren')
INSERT INTO Vertrauenswuerdigk_Pos_2D VALUES (1400,'ohne Kontrollen')
INSERT INTO Vertrauenswuerdigk_Pos_2D VALUES (9998,'nicht untersucht')

CREATE TABLE Vertrauenswuerdigk_Pos_Hoehe (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Vertrauenswuerdigk_Pos_Hoehe VALUES (1100,'Ausgleichung')
INSERT INTO Vertrauenswuerdigk_Pos_Hoehe VALUES (1200,'Berechnung')
INSERT INTO Vertrauenswuerdigk_Pos_Hoehe VALUES (1300,'Bestimmungsverfahren')
INSERT INTO Vertrauenswuerdigk_Pos_Hoehe VALUES (1400,'ohne Kontrollen')
INSERT INTO Vertrauenswuerdigk_Pos_Hoehe VALUES (9998,'nicht untersucht')

CREATE TABLE Vertrauenswuerdigk_Pos_3D (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Vertrauenswuerdigk_Pos_3D VALUES (1100,'Ausgleichung')
INSERT INTO Vertrauenswuerdigk_Pos_3D VALUES (1200,'Berechnung')
INSERT INTO Vertrauenswuerdigk_Pos_3D VALUES (1300,'Bestimmungsverfahren')
INSERT INTO Vertrauenswuerdigk_Pos_3D VALUES (1400,'ohne Kontrollen')
INSERT INTO Vertrauenswuerdigk_Pos_3D VALUES (9998,'nicht untersucht')

CREATE TABLE Hoehe (
   Hoehe_ID
      INTEGER NOT NULL PRIMARY KEY,
   Hoehenwert
      REAL NOT NULL,
   Hoehensystem
      INTEGER NOT NULL REFERENCES Hoehensystem,
   Hoehenstatus
      INTEGER REFERENCES Hoehenstatus,
   Ueberpruefungsdatum
      CHAR(10), -- Datum
   CHECK ( Ueberpruefungsdatum LIKE '__.__.____' ),
   Hinweise
      VARCHAR(255),
   hat_Qualitaetsangaben
      INTEGER REFERENCES Qualitaetsangaben_Hoehe
)

CREATE TABLE Hoehensystem (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Hoehensystem VALUES (1000,'Hhe im System des DHHN 12')
INSERT INTO Hoehensystem VALUES (1001,'Hhe im "Horizont 71" (BW)')
INSERT INTO Hoehensystem VALUES (1400,'Normalorthometrische Hhe im System ' ||
'des DHHN 85')
INSERT INTO Hoehensystem VALUES (1500,'Normalhhe im System des SNN 76')
INSERT INTO Hoehensystem VALUES (1560,'Normalhhe im System des SNN 56')
INSERT INTO Hoehensystem VALUES (1600,'Normalhhe im System des DHHN 92')
INSERT INTO Hoehensystem VALUES (8000,'Hhe im Nordseekstennivellement I')
INSERT INTO Hoehensystem VALUES (8100,'Hhe im Nordseekstennivellement II')
INSERT INTO Hoehensystem VALUES (8200,'Normalorthometrische Hhe im ' ||
'Nivellementnetz 1960 (Westblock)')
INSERT INTO Hoehensystem VALUES (8300,'Hhe im Ostseekstennivellement')
INSERT INTO Hoehensystem VALUES (9000,'Hhe im "alten System" der ' ||
'preuischen Landesaufnahme')
INSERT INTO Hoehensystem VALUES (9010,'Hhe im "vorlufigen System" in Bayern')

CREATE TABLE Hoehenstatus (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Hoehenstatus VALUES (1000,'amtliche Hhe (im amtlichen ' ||
'Hhensystem und derzeit gltig)')
INSERT INTO Hoehenstatus VALUES (3000,'vorlufige Hhe')
INSERT INTO Hoehenstatus VALUES (4000,'nicht amtlich eingefhrte Hhe')
INSERT INTO Hoehenstatus VALUES (5000,'historische (nicht mehr amtliche) Hhe')
INSERT INTO Hoehenstatus VALUES (5100,'Hhe, die sich als fehlerhaft ' ||
'herausgestellt hat')

CREATE TABLE Qualitaetsangaben_Hoehe (
   Qualitaetsangaben_Hoehe_ID
      INTEGER NOT NULL PRIMARY KEY,
   Erhebungsstelle_Stellenart
      VARCHAR(255),
   Erhebungsstelle
      VARCHAR(255),
   Datenerhebung_Hoehe
      INTEGER REFERENCES Datenerhebung_Hoehe,
   Berechnungsdatum
      CHAR(10), -- Datum
   CHECK ( Berechnungsdatum LIKE '__.__.____' ),
   Messjahr
      INTEGER, -- Jahr
   CHECK ( ( Messjahr >= 1900 ) AND ( Messjahr <= 2099 ) ),
   Genauigkeit_Hoehe
      INTEGER REFERENCES Genauigkeit_Hoehe,
   Erhebungsstelle_Land
      INTEGER REFERENCES Administration.Verwaltungsbezirk_abstrakt
)

CREATE TABLE Datenerhebung_Hoehe (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Datenerhebung_Hoehe VALUES (1000,'Nivellement')
INSERT INTO Datenerhebung_Hoehe VALUES (2000,'Trigonometrische Messung')
INSERT INTO Datenerhebung_Hoehe VALUES (5000,'Transformation oder ' ||
'nherungsweise Berechnung')
INSERT INTO Datenerhebung_Hoehe VALUES (6000,'Auswertung von Luftbildern')
INSERT INTO Datenerhebung_Hoehe VALUES (8000,'GPS-Messung und Addition ' ||
'einer Undulation')
INSERT INTO Datenerhebung_Hoehe VALUES (9998,'Methode unbekannt')

CREATE TABLE Genauigkeit_Hoehe (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Genauigkeit_Hoehe VALUES (1110,'Standardabweichung SH <= 2 mm')
INSERT INTO Genauigkeit_Hoehe VALUES (1120,'Standardabweichung 2 mm < SH <= 5 mm')
INSERT INTO Genauigkeit_Hoehe VALUES (1130,'Standardabweichung 5 mm < SH <= 1 cm')
INSERT INTO Genauigkeit_Hoehe VALUES (1200,'Standardabweichung 1 cm < SH <= 3 cm')
INSERT INTO Genauigkeit_Hoehe VALUES (1300,'Standardabweichung 3 cm < SH <= 10 cm')
INSERT INTO Genauigkeit_Hoehe VALUES (1600,'Standardabweichung 10 cm < SH <= 1 m')
INSERT INTO Genauigkeit_Hoehe VALUES (1900,'Standardabweichung SH > 1 m')
INSERT INTO Genauigkeit_Hoehe VALUES (9998,'Standardabweichung nicht ermittelt')

CREATE TABLE Skizze (
   Skizze_ID
      INTEGER NOT NULL PRIMARY KEY,
   Aktualitaet
      CHAR(10) NOT NULL, -- Datum
   CHECK ( Aktualitaet LIKE '__.__.____' ),
   Skizzenname
      VARCHAR(60) NOT NULL,
   Skizzenart
      INTEGER REFERENCES Skizzenart,
   Bemerkungen
      VARCHAR(255),
   zu_Vermessungspunkt
      INTEGER NOT NULL REFERENCES Vermessungspunkt
)

CREATE TABLE Skizze__historische_Skizzen (
   Skizze
      INTEGER NOT NULL REFERENCES Skizze,
   historische_Skizzen
      VARCHAR(255) NOT NULL
)

CREATE TABLE Skizzenart (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Skizzenart VALUES (1000,'Einmessungsskizze')
INSERT INTO Skizzenart VALUES (1100,'Randzeichnung')
INSERT INTO Skizzenart VALUES (3000,'Foto')
INSERT INTO Skizzenart VALUES (3100,'Ansichtszeichnung')
INSERT INTO Skizzenart VALUES (4000,'Luftbildausschnitt')
INSERT INTO Skizzenart VALUES (5000,'Diagramm')
INSERT INTO Skizzenart VALUES (5100,'Tabelle')

CREATE TABLE Festpunkt (
   Festpunkt_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Festpunkt_ID) REFERENCES Vermessungspunkt,
   Katasteramt_Stellart
      VARCHAR(255),
   Katasteramt_Schluessel
      VARCHAR(255),
   GPS_Tauglichkeit
      INTEGER REFERENCES GPS_Tauglichkeit,
   Katasteramt_Land
      INTEGER REFERENCES Administration.Verwaltungsbezirk_abstrakt,
   liegt_in_Gemeinde
      INTEGER REFERENCES Administration.Verwaltungsbezirk_abstrakt,
   liegt_in_Gemarkung
      INTEGER REFERENCES Kataster.Gemarkung
)

CREATE TABLE GPS_Tauglichkeit (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO GPS_Tauglichkeit VALUES (1000,'sehr guter Empfang')
INSERT INTO GPS_Tauglichkeit VALUES (2000,'eingeschrnkte Horizontfreiheit')
INSERT INTO GPS_Tauglichkeit VALUES (3000,'Mehrwegeeffekte mglich')
INSERT INTO GPS_Tauglichkeit VALUES (4000,'nicht geeignet fr GPS')

CREATE TABLE Lagefestpunkt (
   Lagefestpunkt_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Lagefestpunkt_ID) REFERENCES Festpunkt,
   Punktstabilitaet
      INTEGER REFERENCES Punktstabilitaet_Lagefestpunkt
)

CREATE TABLE Punktstabilitaet_Lagefestpunkt (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Punktstabilitaet_Lagefestpunkt VALUES (1000,'sehr gut')
INSERT INTO Punktstabilitaet_Lagefestpunkt VALUES (2000,'ausreichend')
INSERT INTO Punktstabilitaet_Lagefestpunkt VALUES (3000,'befriedigend')
INSERT INTO Punktstabilitaet_Lagefestpunkt VALUES (5000,'mangelhaft (ohne ' ||
'Nennung eines Grundes)')
INSERT INTO Punktstabilitaet_Lagefestpunkt VALUES (5100,'mangelhaft (Bergsenkungsgebiet)')
INSERT INTO Punktstabilitaet_Lagefestpunkt VALUES (5200,'mangelhaft (in ' ||
'rutschgefhrdeter Hanglage)')
INSERT INTO Punktstabilitaet_Lagefestpunkt VALUES (5300,'mangelhaft (sehr ' ||
'nahe an Gewsser)')
INSERT INTO Punktstabilitaet_Lagefestpunkt VALUES (6000,'sehr gut')
INSERT INTO Punktstabilitaet_Lagefestpunkt VALUES (7000,'befriedigend')
INSERT INTO Punktstabilitaet_Lagefestpunkt VALUES (9000,'mangelhaft')
INSERT INTO Punktstabilitaet_Lagefestpunkt VALUES (9998,'Punktstabilitt nicht untersucht')

CREATE TABLE Lagefestpunkt_SBV (
   Lagefestpunkt_SBV_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Lagefestpunkt_SBV_ID) REFERENCES Lagefestpunkt,
   FOREIGN KEY (Lagefestpunkt_SBV_ID) REFERENCES Punktnummer_SBV
)

CREATE TABLE Lagepasspunkt_SBV (
   Lagepasspunkt_SBV_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Lagepasspunkt_SBV_ID) REFERENCES Lagefestpunkt_SBV
)

CREATE TABLE Hoehenfestpunkt (
   Hoehenfestpunkt_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Hoehenfestpunkt_ID) REFERENCES Festpunkt,
   vermutete_Hoehenstabilitaet
      INTEGER REFERENCES vermutete_Hoehenstabilitaet,
   Guete_des_Vermarkungstraegers
      INTEGER REFERENCES Guete_des_Vermarkungstraegers,
   Topographie_und_Umwelt
      INTEGER REFERENCES Topographie_und_Umwelt,
   Guete_des_Baugrundes
      INTEGER REFERENCES Guete_des_Baugrundes,
   geologische_Stabilitaet
      INTEGER REFERENCES geologische_Stabilitaet,
   Grundwasserstand
      INTEGER REFERENCES Grundwasserstand,
   Grundwasserschwankung
      INTEGER REFERENCES Grundwasserschwankung,
   Hoehenstabilitaet_aus_Wdhmessg
      INTEGER REFERENCES Hoehenstabilitaet_aus_Wdhmessg
)

CREATE TABLE vermutete_Hoehenstabilitaet (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO vermutete_Hoehenstabilitaet VALUES (1000,'sehr gut')
INSERT INTO vermutete_Hoehenstabilitaet VALUES (3000,'befriedigend')
INSERT INTO vermutete_Hoehenstabilitaet VALUES (5000,'mangelhaft')
INSERT INTO vermutete_Hoehenstabilitaet VALUES (9998,'nicht bekannt')

CREATE TABLE Guete_des_Vermarkungstraegers (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Guete_des_Vermarkungstraegers VALUES (2000,'gut')
INSERT INTO Guete_des_Vermarkungstraegers VALUES (3000,'befriedigend')
INSERT INTO Guete_des_Vermarkungstraegers VALUES (5000,'unzureichend')
INSERT INTO Guete_des_Vermarkungstraegers VALUES (9998,'nicht bekannt')

CREATE TABLE Topographie_und_Umwelt (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Topographie_und_Umwelt VALUES (1000,'keine Topographie- und ' ||
'Umwelteinflsse')
INSERT INTO Topographie_und_Umwelt VALUES (2000,'geringe Topographie- und ' ||
'Umwelteinflsse')
INSERT INTO Topographie_und_Umwelt VALUES (3000,'mige Topographie- und ' ||
'Umwelteinflsse')
INSERT INTO Topographie_und_Umwelt VALUES (4000,'starke Topographie- und ' ||
'Umwelteinflsse')
INSERT INTO Topographie_und_Umwelt VALUES (4100,'starke Topographie- und ' ||
'Umwelteinflsse (Bergsenkungsgebiet)')
INSERT INTO Topographie_und_Umwelt VALUES (4200,'starke Topographie- und ' ||
'Umwelteinflsse (in rutschgefhrdeter Hanglage)')
INSERT INTO Topographie_und_Umwelt VALUES (4300,'starke Topographie- und ' ||
'Umwelteinflsse (sehr nahe an Gewsser)')
INSERT INTO Topographie_und_Umwelt VALUES (5000,'sehr starke Topographie- und ' ||
'Umwelteinflsse')
INSERT INTO Topographie_und_Umwelt VALUES (9999,'Topographie- und ' ||
'Umwelteinflsse nicht untersucht')

CREATE TABLE Guete_des_Baugrundes (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Guete_des_Baugrundes VALUES (1000,'sehr gute Gte des Baugrundes')
INSERT INTO Guete_des_Baugrundes VALUES (2000,'gute Gte des Baugrundes')
INSERT INTO Guete_des_Baugrundes VALUES (3000,'befriedigende Gte des Baugrundes')
INSERT INTO Guete_des_Baugrundes VALUES (4000,'ausreichende Gte des Baugrundes')
INSERT INTO Guete_des_Baugrundes VALUES (5000,'mangelhafte Gte des Baugrundes')
INSERT INTO Guete_des_Baugrundes VALUES (9999,'Gte des Baugrundes nicht untersucht')

CREATE TABLE geologische_Stabilitaet (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO geologische_Stabilitaet VALUES (1000,'sehr gute geologische Stabilitt')
INSERT INTO geologische_Stabilitaet VALUES (2000,'gute geologische Stabilitt')
INSERT INTO geologische_Stabilitaet VALUES (3000,'befriedigende geologische Stabilitt')
INSERT INTO geologische_Stabilitaet VALUES (4000,'ausreichende geologische Stabilitt')
INSERT INTO geologische_Stabilitaet VALUES (5000,'mangelhafte geologische Stabilitt')
INSERT INTO geologische_Stabilitaet VALUES (9999,'geologische Stabilitt nicht untersucht')

CREATE TABLE Grundwasserstand (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Grundwasserstand VALUES (1000,'Grundwasserstand sehr tief (> 20 m)')
INSERT INTO Grundwasserstand VALUES (2000,'Grundwasserstand tief (> 10 m und <= 20 m)')
INSERT INTO Grundwasserstand VALUES (3000,'Grundwasserstand normal (> 3 m und <= 10 m)')
INSERT INTO Grundwasserstand VALUES (4000,'Grundwasserstand hoch (> 1 m und <= 3 m)')
INSERT INTO Grundwasserstand VALUES (5000,'Grundwasserstand sehr hoch (<= 1 m)')
INSERT INTO Grundwasserstand VALUES (9000,'Grundwasserstand abgesenkt')
INSERT INTO Grundwasserstand VALUES (9999,'Grundwasserstand nicht ermittelt')

CREATE TABLE Grundwasserschwankung (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Grundwasserschwankung VALUES (1000,'sehr geringe Grundwasserschwankung')
INSERT INTO Grundwasserschwankung VALUES (2000,'geringe Grundwasserschwankung (<= 0,5 m)')
INSERT INTO Grundwasserschwankung VALUES (3000,'mige Grundwasserschwankung (> 0,5 m und <= 2 m)')
INSERT INTO Grundwasserschwankung VALUES (4000,'starke Grundwasserschwankung (> 2 m und <= 6 m)')
INSERT INTO Grundwasserschwankung VALUES (5000,'sehr starke Grundwasserschwankung (> 6 m)')
INSERT INTO Grundwasserschwankung VALUES (9999,'Grundwasserschwankung nicht ermittelt')

CREATE TABLE Hoehenstabilitaet_aus_Wdhmessg (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Hoehenstabilitaet_aus_Wdhmessg VALUES (2000,'gut')
INSERT INTO Hoehenstabilitaet_aus_Wdhmessg VALUES (3000,'befriedigend')
INSERT INTO Hoehenstabilitaet_aus_Wdhmessg VALUES (5000,'unzureichend')
INSERT INTO Hoehenstabilitaet_aus_Wdhmessg VALUES (9998,'nicht bekannt')

CREATE TABLE Hoehenfestpunkt_SBV (
   Hoehenfestpunkt_SBV_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Hoehenfestpunkt_SBV_ID) REFERENCES Hoehenfestpunkt,
   FOREIGN KEY (Hoehenfestpunkt_SBV_ID) REFERENCES Punktnummer_SBV
)

CREATE TABLE Hoehenpasspunkt_SBV (
   Hoehenpasspunkt_SBV_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Hoehenpasspunkt_SBV_ID) REFERENCES Hoehenfestpunkt_SBV
)

CREATE TABLE Punktnummer_SBV (
   Punktnummer_SBV_ID
      INTEGER NOT NULL PRIMARY KEY,
   Punktnummer
      VARCHAR(20) NOT NULL
)

CREATE TABLE Aufnahmepunkt (
   Aufnahmepunkt_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Aufnahmepunkt_ID) REFERENCES Lagefestpunkt,
   FOREIGN KEY (Aufnahmepunkt_ID) REFERENCES Kataster.ALKIS_Objekt
)

CREATE TABLE Sicherungspunkt (
   Sicherungspunkt_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Sicherungspunkt_ID) REFERENCES Lagefestpunkt,
   FOREIGN KEY (Sicherungspunkt_ID) REFERENCES Kataster.ALKIS_Objekt
)

CREATE TABLE sonstiger_Vermessungspunkt (
   sonstiger_Vermessungspunkt_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (sonstiger_Vermessungspunkt_ID) REFERENCES Lagefestpunkt,
   FOREIGN KEY (sonstiger_Vermessungspunkt_ID) REFERENCES Kataster.ALKIS_Objekt
)

CREATE TABLE AFIS_Punkt (
   AFIS_Punkt_ID
      INTEGER NOT NULL PRIMARY KEY,
   Punktkennung
      INTEGER NOT NULL
)

CREATE TABLE trigonometrischer_Punkt (
   trigonometrischer_Punkt_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (trigonometrischer_Punkt_ID) REFERENCES Lagefestpunkt,
   FOREIGN KEY (trigonometrischer_Punkt_ID) REFERENCES AFIS_Punkt,
   Ordnung
      INTEGER REFERENCES Ordnung_TP,
   Hierarchiestufe
      INTEGER REFERENCES Hierarchiestufe_TP,
   Wertigkeit
      INTEGER REFERENCES Wertigkeit_TP,
   Hoehendiff_Pfeiler_ue_Platte
      REAL, -- Meter
   CHECK ( Hoehendiff_Pfeiler_ue_Platte>=0 ),
   Datum_der_Messung
      CHAR(10), -- Datum
   CHECK ( Datum_der_Messung LIKE '__.__.____' ),
   Funktion_in_einer_Punktgruppe
      INTEGER REFERENCES Funktion_TP
)

CREATE TABLE Ordnung_TP (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Ordnung_TP VALUES (1000,'TP(1) - Hauptdreieckspunkt, ' ||
'Zwischenpunkt 1. Ordnung')
INSERT INTO Ordnung_TP VALUES (2000,'TP(2)')
INSERT INTO Ordnung_TP VALUES (3000,'TP(3)')
INSERT INTO Ordnung_TP VALUES (4000,'TP(4)')
INSERT INTO Ordnung_TP VALUES (5000,'TP(5)')
INSERT INTO Ordnung_TP VALUES (9000,'TP, der nur eine interne Bedeutung ' ||
'fr die Grundlagenvermessung hat')
INSERT INTO Ordnung_TP VALUES (9999,'Ordnung nicht bekannt oder nicht vergeben')

CREATE TABLE Hierarchiestufe_TP (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Hierarchiestufe_TP VALUES (1000,'Hierarchiestufe A')
INSERT INTO Hierarchiestufe_TP VALUES (2000,'Hierarchiestufe B')
INSERT INTO Hierarchiestufe_TP VALUES (3000,'Hierarchiestufe C')
INSERT INTO Hierarchiestufe_TP VALUES (4000,'Hierarchiestufe D')
INSERT INTO Hierarchiestufe_TP VALUES (5000,'Hierarchiestufe E')
INSERT INTO Hierarchiestufe_TP VALUES (9999,'Hierarchiestufe nicht ' ||
'bekannt oder nicht vergeben')

CREATE TABLE Wertigkeit_TP (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Wertigkeit_TP VALUES (1000,'Fundamentalpunkt (Punkt, auf dem ' ||
'Lage, Hhe und Schwere hochgenau bestimmt worden ist')
INSERT INTO Wertigkeit_TP VALUES (2000,'bergeordneter Festpunkt')
INSERT INTO Wertigkeit_TP VALUES (9999,'Wertigkeit nicht bekannt oder ' ||
'nicht vergeben')

CREATE TABLE Funktion_TP (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Funktion_TP VALUES (1000,'Zentrum')
INSERT INTO Funktion_TP VALUES (2000,'Exzentrum, Stationspunkt, Nebenstand')
INSERT INTO Funktion_TP VALUES (3000,'Zwillingspunkt, Orientierungspunkt')
INSERT INTO Funktion_TP VALUES (4000,'Sicherungspunkt, Versicherungspunkt')

CREATE TABLE Nivellementpunkt (
   Nivellementpunkt_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Nivellementpunkt_ID) REFERENCES Hoehenfestpunkt,
   FOREIGN KEY (Nivellementpunkt_ID) REFERENCES AFIS_Punkt,
   Ordnung
      INTEGER REFERENCES Ordnung_NivP
)

CREATE TABLE Ordnung_NivP (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Ordnung_NivP VALUES (1000,'NivP(1) - Haupthhenpunkt, ' ||
'Zwischenlinienpunkt 1. Ordnung')
INSERT INTO Ordnung_NivP VALUES (2000,'NivP(2)')
INSERT INTO Ordnung_NivP VALUES (3000,'NivP(3)')
INSERT INTO Ordnung_NivP VALUES (4000,'NivP(4)')
INSERT INTO Ordnung_NivP VALUES (9000,'NivP, der nur eine interne Bedeutung ' ||
'fr die Zwecke der Grundlagenvermessung hat')
INSERT INTO Ordnung_NivP VALUES (9998,'Ordnung nicht bekannt oder nicht vergeben')

CREATE TABLE Referenzstationspunkt (
   Referenzstationspunkt_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Referenzstationspunkt_ID) REFERENCES Vermessungspunkt,
   FOREIGN KEY (Referenzstationspunkt_ID) REFERENCES AFIS_Punkt,
   Funktion_in_einer_Punktgruppe
      INTEGER REFERENCES Funktion_RSP,
   Zeitraum_permanente_Messungen
      INTEGER REFERENCES Allgemeine_Objekte.Zeitraum,
   Offset_N_L1
      REAL, -- Meter
   CHECK ( Offset_N_L1>=0 ),
   Offset_E_L1
      REAL, -- Meter
   CHECK ( Offset_E_L1>=0 ),
   Offset_H_L1
      REAL, -- Meter
   CHECK ( Offset_H_L1>=0 ),
   Offset_N_L2
      REAL, -- Meter
   CHECK ( Offset_N_L2>=0 ),
   Offset_E_L2
      REAL, -- Meter
   CHECK ( Offset_E_L2>=0 ),
   Offset_H_L2
      REAL, -- Meter
   CHECK ( Offset_H_L2>=0 ),
   ISDN_Nummer
      VARCHAR(20),
   Funkfrequenz
      FLOAT (10),
   hat_GPS_Empfaenger
      INTEGER REFERENCES GPS_Empfaenger,
   hat_GPS_Antenne
      INTEGER REFERENCES GPS_Antenne
)

CREATE TABLE Referenzstationspunkt__PCV_L1 (
   Referenzstationspunkt
      INTEGER NOT NULL REFERENCES Referenzstationspunkt,
   PCV
      INTEGER NOT NULL REFERENCES PCV,
   folgt_auf_PCV
      INTEGER REFERENCES PCV
)

CREATE TABLE Referenzstationspunkt__PCV_L2 (
   Referenzstationspunkt
      INTEGER NOT NULL REFERENCES Referenzstationspunkt,
   PCV
      INTEGER NOT NULL REFERENCES PCV,
   folgt_auf_PCV
      INTEGER REFERENCES PCV
)

CREATE TABLE Funktion_RSP (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Funktion_RSP VALUES (1000,'Zentrum')
INSERT INTO Funktion_RSP VALUES (2000,'Exzentrum')

CREATE TABLE GPS_Empfaenger (
   GPS_Empfaenger_ID
      INTEGER NOT NULL PRIMARY KEY,
   Empfaengertyp
      VARCHAR(20),
   Seriennummer
      VARCHAR(20),
   Firmwareversion
      VARCHAR(20),
   Aufbau_Datum
      CHAR(10), -- Datum
   CHECK ( Aufbau_Datum LIKE '__.__.____' ),
   Aufbau_Uhrzeit
      VARCHAR(12), -- Uhrzeit
   CHECK ( ( Aufbau_Uhrzeit LIKE '__:__' ) OR ( Aufbau_Uhrzeit LIKE '__:__:__' ) OR ( Aufbau_Uhrzeit LIKE '__:__:__:___' ) ),
   Abbau_Datum
      CHAR(10), -- Datum
   CHECK ( Abbau_Datum LIKE '__.__.____' ),
   Abbau_Uhrzeit
      VARCHAR(12), -- Uhrzeit
   CHECK ( ( Abbau_Uhrzeit LIKE '__:__' ) OR ( Abbau_Uhrzeit LIKE '__:__:__' ) OR ( Abbau_Uhrzeit LIKE '__:__:__:___' ) ),
   zusaetzliche_Informationen
      VARCHAR(255)
)

CREATE TABLE GPS_Antenne (
   GPS_Antenne_ID
      INTEGER NOT NULL PRIMARY KEY,
   Antennentyp
      VARCHAR(16),
   Radometyp
      VARCHAR(4),
   Antennenreferenzpunkt
      VARCHAR(20),
   azimutale_Abweichung
      REAL, -- Winkel
   Antennenhoehe
      REAL, -- Meter
   CHECK ( Antennenhoehe>=0 ),
   Hoehenoffset_zum_Phasenz_L1
      REAL, -- Meter
   CHECK ( Hoehenoffset_zum_Phasenz_L1>=0 ),
   Hoehenoffset_zum_Phasenz_L2
      REAL, -- Meter
   CHECK ( Hoehenoffset_zum_Phasenz_L2>=0 ),
   Aufbau_Datum
      CHAR(10), -- Datum
   CHECK ( Aufbau_Datum LIKE '__.__.____' ),
   Aufbau_Uhrzeit
      VARCHAR(12), -- Uhrzeit
   CHECK ( ( Aufbau_Uhrzeit LIKE '__:__' ) OR ( Aufbau_Uhrzeit LIKE '__:__:__' ) OR ( Aufbau_Uhrzeit LIKE '__:__:__:___' ) ),
   Abbau_Datum
      CHAR(10), -- Datum
   CHECK ( Abbau_Datum LIKE '__.__.____' ),
   Abbau_Uhrzeit
      VARCHAR(12), -- Uhrzeit
   CHECK ( ( Abbau_Uhrzeit LIKE '__:__' ) OR ( Abbau_Uhrzeit LIKE '__:__:__' ) OR ( Abbau_Uhrzeit LIKE '__:__:__:___' ) ),
   zusaetzliche_Informationen
      VARCHAR(255)
)

CREATE TABLE PCV (
   PCV_ID
      INTEGER NOT NULL PRIMARY KEY,
   Winkel
      REAL, -- Winkel
   Variation
      REAL, -- Meter
   CHECK ( Variation>=0 )
)

